<?php
defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\View\View;

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
?>
<a href="#support" class="float-end btn btn-info btn-sm mb-1" >
    <i class="fa fas fa-question-circle"></i>
    <?php
    echo t('Support')
    ?>
</a>
<div style="clear:both">
</div>
<?php

View::element(
    'container_check',
    [
        'controller' => $controller,
        'containers' => $containers,
    ],
    'jl_container_check');

?>
<div id="container_check_support" style="display:none">
    <?php
    View::element(
        '/dashboard/help',
        [],
        'jl_container_check'
    );
    ?>
</div>
<div class="row">
    <div class="alert alert-warning">
        <?php
        echo t('Preview of container structure is approximate and depends on:');
        ?>
        <ol>
            <li>
                <?php
                echo h(t('Container being structured with <div> elements'));
                ?>
            </li>
            <li>
                <?php
                echo t('ContainerArea being output directly');
                ?>
            </li>
            <li>
                <?php
                echo t('Theme based on Bootstrap 5 or compatible theme grid');
                ?>
            </li>
            <li>
                <?php
                echo t('Width of this window!');
                ?>
            </li>
        </ol>
    </div>
</div>
<script type="text/javascript">
(function ($) {
    $(document).ready(function () {
        /*
         * Now the support button, pop up support in overlay
         */
        var support_btn = $('a[href="#support"]');
        var support_body = $('#container_check_support');
        var support_heading =support_body.find('h2').first().text()
        support_body.find('h2').first().remove();
        support_btn.on('click', function(ev){
            ev.preventDefault();
            ev.stopPropagation();
            ConcreteAlert.dialog(
                support_heading,
                support_body.html()
            );
            var dlg = $('#ccm-popup-alert').closest("div.ui-dialog-content");
            dlg.dialog({width:900,height:650});
        });
    });
})(jQuery);
</script>
<?php

